import { PutioAPIClient } from '../../client';
import { IAccountInfo, AccountInfoParams, IAccountSettings, SaveAccountSettingsPayload, IAccountConfirmation, AccountClearOptions } from './types';
export default class Account {
    private client;
    constructor(client: PutioAPIClient);
    Info(params?: AccountInfoParams): Promise<import("../..").IPutioAPIClientResponse<{
        info: IAccountInfo;
    }>>;
    Settings(): Promise<import("../..").IPutioAPIClientResponse<{
        settings: IAccountSettings;
    }>>;
    SaveSettings(payload: SaveAccountSettingsPayload): Promise<import("../..").IPutioAPIClientResponse<any>>;
    Clear(options: AccountClearOptions): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    Destroy(currentPassword: string): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    Confirmations(type?: IAccountConfirmation['subject']): Promise<import("../..").IPutioAPIClientResponse<{
        confirmations: IAccountConfirmation[];
    }>>;
}
