import { PutioAPIClient } from '../../client';
import { IUserPaymentInfoResponse, IVoucherInfoResponse, INanoPaymentRequestResponse, IOpenNodeChargeResponse, IPaymentOptionsResponse, IChangePlanGetResponse, IChangePlanPostResponse, IChangePlanRequestParams } from './types';
export default class Payment {
    private client;
    constructor(client: PutioAPIClient);
    Info(): Promise<import("../..").IPutioAPIClientResponse<IUserPaymentInfoResponse>>;
    Plans(): Promise<import("../..").IPutioAPIClientResponse<any>>;
    Options(): Promise<import("../..").IPutioAPIClientResponse<IPaymentOptionsResponse>>;
    History({ unReportedOnly }?: {
        unReportedOnly?: boolean | undefined;
    }): Promise<import("../..").IPutioAPIClientResponse<any>>;
    Invites(): Promise<import("../..").IPutioAPIClientResponse<any>>;
    ChangePlan: {
        GET: (params: IChangePlanRequestParams) => Promise<import("../..").IPutioAPIClientResponse<IChangePlanGetResponse>>;
        POST: (params: IChangePlanRequestParams) => Promise<import("../..").IPutioAPIClientResponse<IChangePlanPostResponse>>;
    };
    CreateNanoPaymentRequest({ planCode }: {
        planCode: string;
    }): Promise<import("../..").IPutioAPIClientResponse<INanoPaymentRequestResponse>>;
    CreateOpenNodeCharge({ planPath }: {
        planPath: string;
    }): Promise<import("../..").IPutioAPIClientResponse<IOpenNodeChargeResponse>>;
    CancelSubscription(): Promise<import("../..").IPutioAPIClientResponse<any>>;
    GetVoucherInfo(code: string): Promise<import("../..").IPutioAPIClientResponse<IVoucherInfoResponse>>;
    RedeemVoucher(code: string): Promise<import("../..").IPutioAPIClientResponse<any>>;
    Report(paymentIds?: never[]): Promise<import("../..").IPutioAPIClientResponse<any>>;
    AddWaitingPayment(data: any): Promise<import("../..").IPutioAPIClientResponse<any>>;
}
