import { PutioAPIClient } from '../../client';
import { RSSFeed, RSSFeedItem, RSSFeedParams } from './types';
export default class RSS {
    private client;
    constructor(client: PutioAPIClient);
    Query(): Promise<import("../..").IPutioAPIClientResponse<{
        feeds: RSSFeed[];
    }>>;
    Get(id: RSSFeed['id']): Promise<import("../..").IPutioAPIClientResponse<{
        feed: RSSFeed;
    }>>;
    Create(rss: RSSFeedParams): Promise<import("../..").IPutioAPIClientResponse<{
        feed: RSSFeed;
    }>>;
    Update(id: RSSFeed['id'], rss: RSSFeedParams): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    Pause(id: RSSFeed['id']): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    Resume(id: RSSFeed['id']): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    Delete(id: RSSFeed['id']): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    Logs(id: RSSFeed['id']): Promise<import("../..").IPutioAPIClientResponse<{
        feed: RSSFeed;
        items: RSSFeedItem[];
    }>>;
    ClearLogs(id: RSSFeed['id']): Promise<import("../..").IPutioAPIClientResponse<{}>>;
    RetryItem(id: RSSFeed['id'], itemId: RSSFeedItem['id']): Promise<import("../..").IPutioAPIClientResponse<{}>>;
}
